Bug 1286869 - Netinstall does not produce a working installation
Netinstall does not produce a working installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-30 18:26 EST by Jeffrey Walton
Modified: 2016-04-18 11:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-08 14:54:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
noloader: needinfo-

Attachments (Terms of Use)

  None (edit)
Description Jeffrey Walton 2015-11-30 18:26:57 EST
I used Fedora 23's net-install ISO (Fedora-Workstation-netinst-x86_64-23.iso) to install a system into VirtualBox. I'm trying to duplicate a packager maintainers problem building the latest release of the Crypto++ library.

At the disk setup screen, I added three standard partitions. One was /, one was /boot and one was /tmp.

On the left side of the selection screen, I selected a MATE workstation (this is a desktop, not a tablet or phone). On the right side of the selection screen, I chose a a few components, like C Programming, Developer Tools, and RPM Management (in addition to MATE tools).

After download, install and reboot, the machine just hangs. It almost looks like GRUB was not installed. Or maybe GRUB was installed but there's no menu or no selection in the menu. I can't find the usual suspects, like grub.cfg in /etc/grub{d}.

I attempted to repair the installation using the net-install ISO. / was mounted at /mnt/sysimage. I tried to mount /boot at /mnt/sysimage/boot, but I got errors that it was in use. So I suspect rescue mounted both / and /boot correct.

Next, I moved onto writing out a configuration. I performed a chroot /mnt/sysimage. Then (I'm transcribing this, so there may be some typos):

    sh-4.3# grub2-mkconfig
    ### BEGIN /etc/grub.d/20_linux_xen ###
    sed: can't read /etc/system-release: no such file or directory

I'm not sure what to do next. I'm not really a Linux power user, and I've kind of reached my limits of troubleshooting. Searching is not very helpful because the 6 month Fedora release cycle means I find outdated information that no longer applies.

It would be great if the net-install ISO produced a working installation when using VirtualBox.
Comment 1 David Shea 2015-12-01 08:02:55 EST
Please attach the logs from the installation to this bug as individual, text/plain attachments. The logs are available in /tmp during the install and copied to /var/log/anaconda in the installed system.

Note You need to log in before you can comment on or make changes to this bug.